Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Get a blog

GET/blogs/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired
Responses
200

Blog entity

_linksHalLinks
idinteger
shop_idinteger
titlestring | null
langstring | null

Language of the posts in this blog, e.g. en or es. A blog needs one to hold translations.

base_pathstring

URL path segment of the blog on the storefront, e.g. blog or blog-es.

defaultboolean

Whether this is the shop's default blog (base_path is blog).

created_onstring<date-time>
updated_onstring<date-time>
403

Not allowed to see this blog

404

Blog not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v2/blogs/0' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "shop_id": 0,
  "title": "string",
  "lang": "string",
  "base_path": "string",
  "default": true,
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}

Was this page helpful?